Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.jbotester
Class MainWindow

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--java.applet.Applet
                              |
                              +--javax.swing.JApplet
                                    |
                                    +--oracle.jbo.jbotester.MainWindow

public class MainWindow
extends javax.swing.JApplet

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JApplet
`javax.swing.JApplet.AccessibleJApplet`

Field Summary
`static java.lang.String` | `APPMODULE_PANEL`
`static MainWindow` | `mApplet`
`static java.lang.String` | `VIEW_PANEL`

Fields inherited from class javax.swing.JApplet
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`MainWindow()`

Method Summary
`void` | `connected(ApplicationModule appMod)`
`void` | `destroy()`
`static MainWindow` | `getApplet()`
`java.lang.String` | `getAppletInfo()`
`java.lang.String` | `getParameter(java.lang.String key)`
`java.lang.String` | `getParameter(java.lang.String key, java.lang.String def)`
`java.lang.String[][]` | `getParameterInfo()`
`void` | `init()`
`static boolean` | `isStandaloneApp()`
`static void` | `setORBProperties(java.util.Hashtable orbProps)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class javax.swing.JApplet
`addImpl, createRootPane, getAccessibleContext, getContentPane, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, remove, setContentPane, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.applet.Applet
`getAppletContext, getAudioClip, getAudioClip, getCodeBase, getDocumentBase, getImage, getImage, getLocale, isActive, newAudioClip, play, play, resize, resize, setStub, showStatus`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, removeNotify, setCursor, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### APPMODULE_PANEL

    public static final java.lang.String APPMODULE_PANEL

### VIEW_PANEL

    public static final java.lang.String VIEW_PANEL

### mApplet

    public static MainWindow mApplet

Constructor Detail

### MainWindow

    public MainWindow()

Method Detail

### getParameter

    public java.lang.String getParameter(java.lang.String key,
                                         java.lang.String def)

### getParameter

    public java.lang.String getParameter(java.lang.String key)

  Overrides:
    getParameter in class java.applet.Applet

### init

    public void init()

  Overrides:
    init in class java.applet.Applet

### start

    public void start()

  Overrides:
    start in class java.applet.Applet

### stop

    public void stop()

  Overrides:
    stop in class java.applet.Applet

### destroy

    public void destroy()

  Overrides:
    destroy in class java.applet.Applet

### getAppletInfo

    public java.lang.String getAppletInfo()

  Overrides:
    getAppletInfo in class java.applet.Applet

### getParameterInfo

    public java.lang.String[][] getParameterInfo()

  Overrides:
    getParameterInfo in class java.applet.Applet

### connected

    public void connected(ApplicationModule appMod)

### getApplet

    public static MainWindow getApplet()

### isStandaloneApp

    public static boolean isStandaloneApp()

### setORBProperties

    public static void setORBProperties(java.util.Hashtable orbProps)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD